Request to stake currency in a portfolio
curl --request POST \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/staking/initiate \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"currency_symbol": "<string>",
"amount": "<string>",
"metadata": {
"external_id": "<string>"
}
}
'import requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/staking/initiate"
payload = {
"idempotency_key": "<string>",
"currency_symbol": "<string>",
"amount": "<string>",
"metadata": { "external_id": "<string>" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
currency_symbol: '<string>',
amount: '<string>',
metadata: {external_id: '<string>'}
})
};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/staking/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_id": "<string>",
"transaction_id": "<string>"
}Staking
Request to stake currency in a portfolio
Creates an execution request to stake funds across a portfolio. This will stake funds in one or more wallets in the portfolio, with a total bondable balance up to the requested stake amount.
POST
/
v1
/
portfolios
/
{portfolio_id}
/
staking
/
initiate
Request to stake currency in a portfolio
Path Parameters
The portfolio ID
Body
application/json
The client generated idempotency key (uuid required) for requested execution. Subsequent requests using the same key will not create new transactions.
The currency symbol to stake
The quantity of the chosen currency to stake
Show child attributes
Show child attributes
Was this page helpful?
⌘I